Imports Syncfusion.Core
Imports Syncfusion.ExcelRW

Module Module1

    Sub Main()
        Dim MoteurExcel As New ExcelEngine()
        Dim DocExcel As IWorkbook = MoteurExcel.Excel.Workbooks.Create(1)
        Dim Feuille As IWorksheet = DocExcel.Worksheets(0)
        Feuille.Name = "Rsultats"

        Try
            Feuille.Range(1, 1).Number = 100
            Feuille.Range(1, 2).Number = 150
            Feuille.Range(1, 3).Number = 75

            Dim Graphique As IChartShape = Feuille.Charts.Add()
            Graphique.ChartTitle = "Moteurs"
            Graphique.ChartType = ExcelChartType.Column_Clustered

            Dim Serie1 As IChartSerie = Graphique.Series.Add("Google")
            Dim Serie2 As IChartSerie = Graphique.Series.Add("Yahoo!")
            Dim Serie3 As IChartSerie = Graphique.Series.Add("Altavista")
            Serie1.Values = Feuille.Range(1, 1)
            Serie2.Values = Feuille.Range(1, 2)
            Serie3.Values = Feuille.Range(1, 3)

            '===== Titre de l'axe des abscisses
            Graphique.PrimaryCategoryAxis.Title = "Moteurs"
            '===== Titre de l'axe des ordonnes
            Graphique.PrimaryValueAxis.Title = "Visites"

            Graphique.TopRow = 8
            Graphique.BottomRow = 30
            Graphique.LeftColumn = 1
            Graphique.RightColumn = 6

            DocExcel.SaveAs("C:\testsdev\PBChart.xls")

            'With this Instruction the chart will not display 
            Feuille.Range(1, 1).RowHeight = 50

            DocExcel.SaveAs("C:\testsdev\PBChartError.xls")
            Shell("C:\Program Files\Microsoft Office\Office\excel.exe C:\testsdev\PBChart.xls", AppWinStyle.MaximizedFocus)
            Shell("C:\Program Files\Microsoft Office\Office\excel.exe C:\testsdev\PBChartError.xls", AppWinStyle.MaximizedFocus)
        Catch Ex As Exception ' Erreur Gnrale (ex composant, librairie ..)
            Console.WriteLine("Erreur : " & Ex.ToString)
        Finally
            MoteurExcel.ThrowNotSavedOnDestroy = False
        End Try

    End Sub

End Module
